Use this API to list the Privileges created in an account.
Required Feature
A OneLogin subscription that includes Delegated Administration is required to use the privileges API.
Resource URL
GET https://<subdomain>.onelogin.com/api/1/privilegesHeader Parameters
Authorization required string | Set to Set Generate the access token with the API credential pair created using the scope required to call this API. Call this API using the |
Sample Response
- 200 OK
- 401 Unauthorized
[
{
"id": "2c963197-bee2-4607-abc0-4786f1bfa55a",
"name": "User Administrator",
"description": "Can administer users",
"privilege": {
"Version": "2018-05-18",
"Statement": [
{
"Effect": "Allow",
"Action": [
"users:Delete",
"users:ForceLogout",
"users:ResetPassword",
"users:Unlock",
"users:Get"
],
"Scope": [
"*"
]
}
]
}
}
]This error indicates an invalid access token.
{
"statusCode": 401,
"name": "UnauthorizedError",
"message": "The request requires user authentication."
}Sample Code
cURL
curl 'https://<subdomain>.onelogin.com/api/1/privileges' \
-X GET \
-H "Authorization: Bearer <access_token>"Postman Collection
Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.